package com.njcn.gather.script.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.gather.script.pojo.param.PqScriptCheckDataParam;
import com.njcn.gather.script.pojo.po.PqScriptCheckData;

import java.util.List;
import java.util.Map;


/**
 * @Description:
 * @Author: wr
 * @Date: 2024/12/27 9:29
 */
public interface IPqScriptCheckDataService extends IService<PqScriptCheckData> {


    /**
     * 获取检测指标类型
     *
     * @param param
     * @return
     */
    List<String> getValueType(PqScriptCheckDataParam param);


    Map<String, String> getValueTypeMap(String scriptId);

    /**
     * 获取监测脚本code
     *
     * @param param
     * @return
     */
    List<PqScriptCheckData> listCheckDataCode(PqScriptCheckDataParam param);

    Double getCheckDataValue(PqScriptCheckDataParam param);

    /**
     * 查询条件范围内的参与比较的脚本详情
     * @param scriptId 脚本id
     * @param indexList 脚本下标集合
     */
    List<PqScriptCheckData> listCheckData(String scriptId, List<Integer> indexList);

    /**
     * 根据脚本id删除数据
     *
     * @param ids
     * @return
     */
    boolean deleteByScriptIds(List<String> ids);
}
